# DataExchange
TKIGES
IGESBasic

# IGESBasic_ReadWriteModule Class Reference

Defines basic File Access Module for IGESBasic (specific parts)
Specific actions concern : Read and Write Own Parameters of
an IGESEntity.
.

`#include <IGESBasic_ReadWriteModule.hxx>`

Inheritance diagram for IGESBasic_ReadWriteModule:

[legend]

## Public Member Functions

Standard_EXPORT | IGESBasic_ReadWriteModule ()
| Creates a ReadWriteModule & puts it into ReaderLib & WriterLib .
Standard_EXPORT Standard_Integer | CaseIGES (const Standard_Integer typenum, const Standard_Integer formnum) const
| Defines Case Numbers for Entities of IGESBasic .
Standard_EXPORT void | ReadOwnParams (const Standard_Integer CN, const Handle(IGESData_IGESEntity)&ent, const Handle(IGESData_IGESReaderData)&IR, IGESData_ParamReader &PR) const
| Reads own parameters from file for an Entity of IGESBasic .
Standard_EXPORT void | WriteOwnParams (const Standard_Integer CN, const Handle(IGESData_IGESEntity)&ent, IGESData_IGESWriter &IW) const
| Writes own parameters to IGESWriter .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_ReadWriteModule::IGESBasic_ReadWriteModule | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer IGESBasic_ReadWriteModule::CaseIGES | ( | const Standard_Integer | typenum,
|  | const Standard_Integer | formnum
| ) | const`[virtual]`

| Implements IGESData_ReadWriteModule.

Standard_EXPORT const IGESBasic_ReadWriteModule::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_ReadWriteModule.

Standard_EXPORT void IGESBasic_ReadWriteModule::ReadOwnParams | ( | const Standard_Integer | CN,
|  | const Handle(IGESData_IGESEntity)& | ent,
|  | const Handle(IGESData_IGESReaderData)& | IR,
|  | IGESData_ParamReader & | PR
| ) | const`[virtual]`

| Implements IGESData_ReadWriteModule.

Standard_EXPORT void IGESBasic_ReadWriteModule::WriteOwnParams | ( | const Standard_Integer | CN,
|  | const Handle(IGESData_IGESEntity)& | ent,
|  | IGESData_IGESWriter & | IW
| ) | const`[virtual]`

| Implements IGESData_ReadWriteModule.

The documentation for this class was generated from the following file:

- IGESBasic_ReadWriteModule.hxx